> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gbox.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update settings

> Update the action settings for the box



## OpenAPI

````yaml put /boxes/{boxId}/actions/settings
openapi: 3.0.0
info:
  title: GBOX Open API
  description: GBOX Open API Documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://gbox.ai/api/v1
    description: Production Server
security: []
tags: []
paths:
  /boxes/{boxId}/actions/settings:
    put:
      tags:
        - UI Action
      summary: Update settings
      description: Update the action settings for the box
      operationId: UIActionController_settings
      parameters:
        - name: boxId
          required: true
          in: path
          description: Box ID
          schema:
            example: c9bdc193-b54b-4ddb-a035-5ac0c598d32d
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ActionSetting'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActionSetting'
      security:
        - bearer: []
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import GboxSDK from "gbox-sdk";

            const gboxSDK = new GboxSDK({
              apiKey: process.env["GBOX_API_KEY"]
            });

            async function main() {
              const box = await gboxSDK.create({ type: "android" });

              // Update UI Action setting (scale)
              const updated = await box.action.updateSettings({
                scale: 0.9
              });

              console.log("Updated setting:", updated);
            }

            main();
        - lang: Python
          source: |-
            import os
            from gbox_sdk import GboxSDK


            def main():
                gbox_sdk = GboxSDK(api_key=os.environ["GBOX_API_KEY"])  # default

                box = gbox_sdk.create(type="android")

                # Update UI Action setting (scale)
                updated = box.action.update_settings(
                    scale=0.9
                )

                print("Updated setting:", updated)


            if __name__ == "__main__":
                main()
        - lang: Go
          source: |-
            package main

            import (
                "context"
                "fmt"
                "log"
                "os"

                "github.com/gbox/gbox-sdk-go"
            )

            func main() {
                gboxSDK := gbox.NewGboxSDK(os.Getenv("GBOX_API_KEY"))

                box, err := gboxSDK.Create(context.Background(), gbox.CreateBoxRequest{
                    Type: "android",
                })
                if err != nil {
                    log.Fatalf("Failed to create box: %v", err)
                }

                updated, err := box.Action.UpdateSettings(context.Background(), gbox.ActionSettingRequest{
                    Scale: 0.9,
                })
                if err != nil {
                    log.Fatalf("Failed to update setting: %v", err)
                }

                fmt.Printf("Updated setting: %+v\n", updated)
            }
components:
  schemas:
    ActionSetting:
      type: object
      properties:
        scale:
          type: number
          description: >-
            The scale of the action to be performed. Must be greater than 0.1
            and less than or equal to 1.


            Notes:

            - Scale does not change the box's actual screen resolution.

            - It affects the size of the output screenshot and the
            coordinates/distances of actions. Coordinates and distances are
            scaled by this factor.
              Example: when scale = 1, Click({x:100, y:100}); when scale = 0.5, the equivalent position is Click({x:50, y:50}).
          example: 1
          minimum: 0.1
          maximum: 1
          default: 1
      title: Action Setting
      description: Action setting
      required:
        - scale
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        Enter your API Key in the format: Bearer <token>. Get it from
        https://gbox.ai

````